Skip to main content
GET
/
v1
/
chains
/
{chain_name}
/
tokens
/
{contract_address}
Get single ERC20 token
curl --request GET \
  --url https://api.sandbox.immutable.com/v1/chains/{chain_name}/tokens/{contract_address}
import requests

url = "https://api.sandbox.immutable.com/v1/chains/{chain_name}/tokens/{contract_address}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.sandbox.immutable.com/v1/chains/{chain_name}/tokens/{contract_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": {
    "chain": {
      "id": "eip155:13372",
      "name": "imtbl-zkevm-testnet"
    },
    "contract_address": "0xc344c05eef8876e517072f879dae8905aa2b956b",
    "root_contract_address": "0x43e60b30d5bec48c0f5890e3d1e9f1b1296bb4aa",
    "symbol": "AAA",
    "decimals": 18,
    "image_url": "https://some-url",
    "name": "Token A",
    "updated_at": "2022-08-16T17:43:26.991388Z",
    "is_canonical": true,
    "root_chain_id": "eip155:1",
    "bridge_used": "axelar"
  }
}
{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "VALIDATION_ERROR",
"details": {}
}
{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "RESOURCE_NOT_FOUND",
"details": {}
}
{
"message": "all fields must be provided",
"link": "https://docs.x.immutable.com/reference/#/",
"trace_id": "e47634b79a5cd6894ddc9639ec4aad26",
"code": "INTERNAL_SERVER_ERROR",
"details": {}
}

Path Parameters

contract_address
string
required

The address of contract

chain_name
string
required

The name of chain

Example:

"imtbl-zkevm-testnet"

Response

OK

Single Token

result
object
required